Bug 483848 - psscale in the Generic Mapping Tool (GMT) does not work correctly
psscale in the Generic Mapping Tool (GMT) does not work correctly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: GMT (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 16:50 EST by mathias.leidig
Modified: 2009-02-05 14:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 14:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mathias.leidig 2009-02-03 16:50:29 EST
Description of problem:
Fedora uses the most advanced version of GMT - 4.3.1.
Unhappily here the psscale does not work correctly.

details: in the script: psscale –D2/5/10/1h –Ccpt2.cpt –B9000f1000:"topography (m)": -O >>$out
psscale: GMT SYNTAX ERROR -D option: scale length must be nonzero
psscale: GMT SYNTAX ERROR -D option: scale width must be positive

Version-Release number of selected component (if applicable): 4.3.1


How reproducible: always/ permanently


Steps to Reproduce:
1. create a picture in gmt and add psscale
2.
3.
  
Actual results:
psscale: GMT SYNTAX ERROR -D option: scale length must be nonzero
psscale: GMT SYNTAX ERROR -D option: scale width must be positive


Expected results: a correct scale - no error messages


Additional info: we'd need it for our work at university, with other (older GMT and Linux versions eg. Debian Etch, GMT 4.1.3) it works.
Comment 1 Orion Poplawski 2009-02-03 16:55:29 EST
Have you asked about this on the GMT lists?  I.e. - is this a bug in GMT 4.3.1 or a bug in the way it is compiled in Fedora?
Comment 2 mathias.leidig 2009-02-05 14:49:34 EST
Info from GMT-help:

"However, this was useful as it revealed that psscale did not specifically test if -D was given, only that the arguments to -D are sane.  I have now added a specific test to make sure -D is specified."

Note You need to log in before you can comment on or make changes to this bug.